package com.dragon.tj.portal.service;

import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.common.dto.message.MessageInfoReq;
import com.dragon.tj.portal.common.vo.message.MessageInfoParam;
import com.dragon.tj.portal.common.vo.message.MessageInfoVO;
import com.dragon.tj.portal.entity.MessageInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 信息表 服务类
 * </p>
 *
 * @author huey
 * @since 2023-06-15
 */
public interface MessageInfoService extends IService<MessageInfo> {

    R push(MessageInfoReq messag, LoginUser loginUser);

    MessageInfoVO detail(Long id);

    boolean update(MessageInfoParam messageInfoParam);

    boolean read(Long id);
}
